# SynchronizerError

    public enum SynchronizerError : Error

Represents errors thrown by a Synchronizer

- `initFailed(message:)`

  Undocumented

  #### Declaration

  Swift

      case initFailed(message: String)

- `notPrepared`

  Undocumented

  #### Declaration

  Swift

      case notPrepared

- `syncFailed`

  Undocumented

  #### Declaration

  Swift

      case syncFailed

- `connectionFailed(message:)`

  Undocumented

  #### Declaration

  Swift

      case connectionFailed(message: Error)

- `generalError(message:)`

  Undocumented

  #### Declaration

  Swift

      case generalError(message: String)

- `maxRetryAttemptsReached(attempts:)`

  Undocumented

  #### Declaration

  Swift

      case maxRetryAttemptsReached(attempts: Int)

- `connectionError(status:message:)`

  Undocumented

  #### Declaration

  Swift

      case connectionError(status: Int, message: String)

- `networkTimeout`

  Undocumented

  #### Declaration

  Swift

      case networkTimeout

- `uncategorized(underlyingError:)`

  Undocumented

  #### Declaration

  Swift

      case uncategorized(underlyingError: Error)

- `criticalError`

  Undocumented

  #### Declaration

  Swift

      case criticalError

- `parameterMissing(underlyingError:)`

  Undocumented

  #### Declaration

  Swift

      case parameterMissing(underlyingError: Error)

- `rewindError(underlyingError:)`

  Undocumented

  #### Declaration

  Swift

      case rewindError(underlyingError: Error)

- `rewindErrorUnknownArchorHeight`

  Undocumented

  #### Declaration

  Swift

      case rewindErrorUnknownArchorHeight

- `invalidAccount`

  Undocumented

  #### Declaration

  Swift

      case invalidAccount

- `lightwalletdValidationFailed(underlyingError:)`

  Undocumented

  #### Declaration

  Swift

      case lightwalletdValidationFailed(underlyingError: Error)

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.